netCDF::exceptions::NcException Class Reference

`#include <ncException.h>`

Inherited by netCDF::exceptions::NcAttExists, netCDF::exceptions::NcAttMeta, netCDF::exceptions::NcBadDim, netCDF::exceptions::NcBadFieldId, netCDF::exceptions::NcBadGroupId, netCDF::exceptions::NcBadId, netCDF::exceptions::NcBadName, netCDF::exceptions::NcBadType, netCDF::exceptions::NcBadTypeId, netCDF::exceptions::NcCantCreate, netCDF::exceptions::NcCantRead, netCDF::exceptions::NcCantWrite, netCDF::exceptions::NcChar, netCDF::exceptions::NcDimMeta, netCDF::exceptions::NcDimSize, netCDF::exceptions::NcEdge, netCDF::exceptions::NcElateDef, netCDF::exceptions::NcEnoGrp, netCDF::exceptions::NcExist, netCDF::exceptions::NcFileMeta, netCDF::exceptions::NcGlobal, netCDF::exceptions::NcHdfErr, netCDF::exceptions::NcInDefineMode, netCDF::exceptions::NcInvalidArg, netCDF::exceptions::NcInvalidCoords, netCDF::exceptions::NcInvalidWrite, netCDF::exceptions::NcMaxAtts, netCDF::exceptions::NcMaxDims, netCDF::exceptions::NcMaxName, netCDF::exceptions::NcMaxVars, netCDF::exceptions::NcNFile, netCDF::exceptions::NcNameInUse, netCDF::exceptions::NcNoCompound, netCDF::exceptions::NcNoMem, netCDF::exceptions::NcNoRecVars, netCDF::exceptions::NcNotAtt, netCDF::exceptions::NcNotInDefineMode, netCDF::exceptions::NcNotNCF, netCDF::exceptions::NcNotNc4, netCDF::exceptions::NcNotVar, netCDF::exceptions::NcNullDim, netCDF::exceptions::NcNullGrp, netCDF::exceptions::NcNullType, netCDF::exceptions::NcRange, netCDF::exceptions::NcStrictNc3, netCDF::exceptions::NcStride, netCDF::exceptions::NcSts, netCDF::exceptions::NcTrunc, netCDF::exceptions::NcUnknownName, netCDF::exceptions::NcUnlimPos, netCDF::exceptions::NcUnlimit, netCDF::exceptions::NcVarMeta, and netCDF::exceptions::NcVarSize.

## Detailed Description

Base object is thrown if a netCDF exception is encountered. An unsatisfactory return from a call to one of the netCDF C-routines generates an exception using an object inheriting this class. All other netCDF-related errors including those originating in the C++ binding, generates an NcException.

The documentation for this class was generated from the following files:

- ncException.h
- ncException.cpp